#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>

int  cin, lahead;

int fpeek(FILE *stream)
{
    int c;
    
    c = fgetc(stream);
    ungetc(c,stream);
    
    return c;
}

int main()
{
    while ((cin = fgetc(stdin)) != EOF) {
        
        lahead = fpeek(stdin);
        
        if (cin == '\\' ) {
            if (lahead == 'b' || lahead == 'i') {
                cin = fgetc(stdin);
            } else if (lahead == '*') {
                cin = fgetc(stdin);
                while ((cin = fgetc(stdin)) != EOF &&
                    (cin != '\\' || (cin == '\\' && fpeek(stdin) != '*')))
                    fputc(cin, stdout);
                if (fpeek(stdin) == '*')
                    cin = fgetc(stdin);
            } else if (lahead == 's') {
                cin = fgetc(stdin);
                while ((cin = fgetc(stdin)) != EOF && isdigit(cin))
                    /* empty */;
                    if (cin != EOF && cin != '.')
                        ungetc(cin, stdin);
                    while ((cin = fgetc(stdin)) != EOF && isdigit(cin))
                        /* empty */;
                        if (cin != EOF)
                            ungetc(cin, stdin);
            } else if (lahead != EOF) {
                cin = fgetc(stdin);
                fputc(cin, stdout);
            }
        } else
            fputc(cin, stdout);
    }
    return 0;
}
